# operating-system::get-version

Gets a Version object that identifies this operating system.

### Usage

`Version operating-system::get-version(operatingSystem)`

### Parameters

Name | Type | Description
--- | --- | ---
operatingSystem | OperatingSystem | The operating system.

### Return Value

A Version object that describes the major version, minor version, build, and revision of the operating system.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

environment::get-operating-system()